> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a form type

> Endpoint to fetch the structure of a Form.

The following example is for a 2026 TD1, but the response `fields` will differ depending on the specific Form instance requested.



## OpenAPI

````yaml /spec/openapi.json get /form_types/{form_type}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /form_types/{form_type}:
    get:
      tags:
        - Form Types
      summary: Retrieve a form type
      description: >-
        Endpoint to fetch the structure of a Form.


        The following example is for a 2026 TD1, but the response `fields` will
        differ depending on the specific Form instance requested.
      operationId: form-types-show
      parameters:
        - name: form_type
          in: path
          schema:
            type: string
          required: true
        - name: effective_date
          in: query
          schema:
            type: string
            format: date
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"form_type"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/FormType'
              example:
                id: <id>
                object: form_type
                data:
                  type: td1
                  label: TD1 Personal Tax Credits Return
                  version_year: 2026
                  version_month: january
                  owner_types:
                    - work_assignment
                  exportable_as: []
                  supports_population: false
                  supports_generation: false
                  fields:
                    - key: line_1_basic_personal_amount
                      label: Basic Personal Amount (Line 1)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_2_infirm_children_caregiver_amount
                      label: Infirm Children Caregiver Amount (Line 2)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_3_age_amount
                      label: Age Amount (Line 3)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_4_pension_income_amount
                      label: Pension Income Amount (Line 4)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_5_tuition
                      label: Tuition (Line 5)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_6_disability_amount
                      label: Disability Amount (Line 6)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_7_spouse_or_common_law_partner_amount
                      label: Spouse or Common-law Partner Amount (Line 7)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_8_eligible_dependent_amount
                      label: Eligible Dependent Amount (Line 8)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_9_infirm_dependent_caregiver_amount
                      label: Infirm Dependent Caregiver Amount (Line 9)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_10_dependent_caregiver_amount
                      label: Dependent Caregiver Amount (Line 10)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_11_spouse_or_common_law_transfer_amount
                      label: Spouse or Common-law Transfer Amount (Line 11)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_12_dependent_transfer_amount
                      label: Dependent Transfer Amount (Line 12)
                      type: currency
                      required: false
                      readonly: false
                    - key: line_13_total_claim_amount
                      label: Total Claim Amount (Line 13)
                      type: currency
                      required: false
                      readonly: false
                    - key: more_than_one_employer_or_payer
                      label: You have more than one employer or payer
                      type: boolean
                      required: false
                      readonly: false
                    - key: total_income_less_than_total_claim_amount
                      label: Total income is less than total claim amount
                      type: boolean
                      required: false
                      readonly: false
                    - key: ninety_percent_world_income_taxable_income
                      label: 90% of World Income is Taxable in Canada
                      type: boolean
                      required: false
                      readonly: false
                    - key: prescribed_zone_deduction
                      label: Prescribed Zone Deduction
                      type: currency
                      required: false
                      readonly: false
                    - key: additional_tax_deduction
                      label: Additional Tax Deduction
                      type: currency
                      required: false
                      readonly: false
                links:
                  self: /form_types/td1
components:
  schemas:
    FormType:
      type: object
      title: Form Type
      properties:
        type:
          type: string
          description: The string identifier for this form type.
          nullable: true
          enum:
            - rl1
            - roe
            - t4
            - t4a
            - td1
            - td1ab
            - td1bc
            - td1mb
            - td1nb
            - td1nl
            - td1ns
            - td1nt
            - td1nu
            - td1on
            - td1pe
            - td1sk
            - td1x
            - td1yt
            - tp_1015_3_v
            - tp_1015_r_13_v
        label:
          type: string
          description: The human-readable display name for this form type.
          nullable: true
        version_year:
          type: number
          nullable: true
          format: decimal
        version_month:
          type: string
          nullable: true
        owner_types:
          type: array
          description: The owner types that can have forms of this type.
          nullable: true
          items:
            type: string
        exportable_as:
          type: object
          nullable: true
        supports_population:
          type: boolean
        supports_generation:
          type: boolean
        fields:
          type: array
          nullable: true
          items:
            type: object
            properties:
              key:
                type: string
                nullable: true
              label:
                type: string
                nullable: true
              type:
                type: string
                nullable: true
                enum:
                  - rl1
                  - roe
                  - t4
                  - t4a
                  - td1
                  - td1ab
                  - td1bc
                  - td1mb
                  - td1nb
                  - td1nl
                  - td1ns
                  - td1nt
                  - td1nu
                  - td1on
                  - td1pe
                  - td1sk
                  - td1x
                  - td1yt
                  - tp_1015_3_v
                  - tp_1015_r_13_v
              required:
                type: boolean
              readonly:
                type: boolean
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````